####
# NSHMs to use for unit tests and for deployments.
####
nshms:
  # Alaska 2007 NSHM
  -
    repo: nshm-alaska
    tag: 2.2.1
    deployment:
      baseHref: /ws/nshmp/alaska-2007/dynamic
      environments:
        development:
          instanceType: t4g.xlarge
        staging:
          instanceType: t4g.2xlarge
        # TODO: Add to production when model is stable
        # production:
        #   instanceType: c7g.8xlarge
      label: 2007 Alaska Dynamic Services
      model: ALASKA_2007
      test:
        site:
          latitude: 61.2
          longitude: -149
        treeId: 4080

  # Alaska 2023 NSHM
  -
    repo: nshm-alaska
    tag: 3.a.4
    deployment:
      baseHref: /ws/nshmp/alaska-2023/dynamic
      environments:
        development:
          instanceType: c7g.4xlarge
        staging:
          instanceType: c7g.8xlarge
        # TODO: Add to production when model is stable
        # production:
        #   instanceType: c7g.8xlarge
      label: 2023 Alaska Dynamic Services
      model: ALASKA_2023
      test:
        site:
          latitude: 61.2
          longitude: -149
        treeId: 4000

  # CONUS 2018 NSHM
  -
    repo: nshm-conus
    tag: 5.2.0
    deployment:
      baseHref: /ws/nshmp/conus-2018/dynamic
      environments:
        development:
          instanceType: c7g.4xlarge
        staging:
          instanceType: c7g.8xlarge
        production:
          instanceType: c7g.12xlarge
      label: 2018 Conterminous U.S. Dynamic Services
      model: CONUS_2018
      test:
        site:
          latitude: 37.75
          longitude: -122.4
        treeId: 2000

  # CONUS 2023 NSHM
  -
    repo: nshm-conus
    tag: 6.b.1
    deployment:
      baseHref: /ws/nshmp/conus-2023/dynamic
      environments:
        development:
          instanceType: c7g.4xlarge
        staging:
          instanceType: c7g.8xlarge
        # TODO: Add to production when model is stable
        # production:
        #   instanceType: c7g.12xlarge
      label: 2023 Conterminous U.S. Dynamic Services
      model: CONUS_2023
      test:
        site:
          latitude: 37.75
          longitude: -122.4
        treeId: 3199

  # Hawaii 2021 NSHM
  -
    repo: nshm-hawaii
    tag: 2.0.2
    deployment:
      baseHref: /ws/nshmp/hawaii-2021/dynamic
      environments:
        development:
          instanceType: c7g.4xlarge
        staging:
          instanceType: c7g.8xlarge
        production:
          instanceType: c7g.8xlarge
      label: 2021 Hawaii Dynamic Services
      model: HAWAII_2021
      test:
        site:
          latitude: 21.3
          longitude: -157.86
        treeId: 5126
